dh-octave (1.14.1) unstable; urgency=medium

  * install-pkg.m: Allow extension in directory name

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Feb 2026 08:16:30 +0000

dh-octave (1.14.0) unstable; urgency=medium

  * install-pkg.m: Install from tarball instead of from the unpacked sources.
    Installing from the directory where the sources are unpacked is a
    hidden “feature” of Octave's pkg command. The correct approach is to
    install from a tarball. This is what is done now, by packing the
    tarball on the fly from the upstream sources after application of the
    Debian-specific patches. This change eliminates the need to apply a
    patch to the octave's package pkg.m file.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 02 Feb 2026 08:15:45 +0000

dh-octave (1.13.4) unstable; urgency=medium

  * dh_octave_check: Do not return failure status when the DESCRIPTION
    file is not found

 -- Rafael Laboissière <rafael@debian.org>  Fri, 23 Jan 2026 17:38:55 +0000

dh-octave (1.13.3) unstable; urgency=medium

  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * dh_octave_check:
    + Check whether the inst/ directory exists, before looking for files in it
    + Do not run tests if the DESCRIPTION file is not present

 -- Rafael Laboissière <rafael@debian.org>  Wed, 21 Jan 2026 05:21:12 +0000

dh-octave (1.13.2) unstable; urgency=medium

  * buildsystem.pm: Proper removal of empty directories

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 Dec 2025 12:59:40 -0300

dh-octave (1.13.1) unstable; urgency=medium

  * Proper processing of DH_OCTAVE_KEEP_DOC
    + clean-docdir: The file paths in the environment variable
      DH_OCTAVE_KEEP_DOC are relative to the doc/ directory
    + README.md: Update the documentation to reflect that

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Dec 2025 12:38:18 -0300

dh-octave (1.13.0) unstable; urgency=medium

  * Makefile: Check scripts through perlcritic
  * d/control: Build-depend in libperl-critic-perl
  * Fix perlcritic issues
  * dh_octave_make.in:
    + Replace underscores by hyphens in package name
    + Fix typo in variable usage
    + Escape "@" and "$" in double quoted string

 -- Rafael Laboissière <rafael@debian.org>  Fri, 28 Nov 2025 10:32:56 -0300

dh-octave (1.12.1) unstable; urgency=medium

  * dh_octave_make.in: Add empty job to the CI pipeline

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 02:17:17 -0300

dh-octave (1.12.0) unstable; urgency=medium

  * d/salsa-ci.yml: New file
  * dh_octave_make.in:
    + Create the debian/salsa-ci.yml file
    + Improve Matching-Pattern in d/watch file
  * README.md: Fix mistakes and improve wording of documentation
  * test_dh_octave.sh: Make unit test robust to change in LANG environment
    variable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 10 Nov 2025 13:24:23 -0300

dh-octave (1.11.4) unstable; urgency=medium

  * Honor the nocheck build option
    + sequence.pm: Inconditionnaly insert dh_octave_check after
      dh_auto_install
    + dh_octave_check: Run the unit tests only if neither
      DEB_BUILD_OPTIONS nor DEB_BUILD_MAINT_OPTIONS contains nocheck

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Sep 2025 03:31:10 -0300

dh-octave (1.11.3) unstable; urgency=medium

  * clean-docdir: Remove empty sub-directories
  * Fix usage of variable DH_OCTAVE_KEEP_DOC
    + clean-docdir: Consider all elements in the space-separated list
    + README.md: Document this behavior

 -- Rafael Laboissière <rafael@debian.org>  Wed, 24 Sep 2025 07:44:00 -0300

dh-octave (1.11.2) unstable; urgency=medium

  * sequence.pm: Simplify obtaining the Octave library directory path

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 17:04:52 -0300

dh-octave (1.11.1) unstable; urgency=medium

  * dh_octave_make.in: Use version 5 for file debian/watch
  * Avoid race condition with find/rm commands
    + clean-docdir: Run the find command in the script
    + buildsystem.pm: Pass the doc/ directory as argument to clean-docdir
    (Closes: #1115114)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:28:04 -0300

dh-octave (1.11.0) unstable; urgency=medium

  * Restore script for cleaning the installed doc/ directory
    + clean-docdir: Helper script for cleaning the doc/ directory
    + buildsystem.pm: Call clean-docdir in the install subroutine
    + d/dh-octave.install: Install the clean-docdir script
    + README.md: Document the new environment variable DH_OCTAVE_KEEP_DOC

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Sep 2025 14:25:50 -0300

dh-octave (1.10.3) unstable; urgency=medium

  * sequence.pm: Pass private Octave library path to dpkg-shlibdeps

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 Sep 2025 01:58:22 -0300

dh-octave (1.10.2) unstable; urgency=medium

  * This version is identical to the previous one. I am releasing it again
    because I forgot to include the changelog items.

  [ Rafael Laboissière ]
  * Drop script clean-docdir
    Certain OF package install files in the doc directory on purpose an its
    contents should not be removed.
  * buildsystem.pm: Remove extra LICENSE file

  [ Sébastien Villemot ]
  * d/control: Drop “Rules-Requires-Root: no”
  * dh_octave_make.in: Drop “Rules-Requires-Root: no”
    This is now the default.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 04:05:16 -0300

dh-octave (1.10.1) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 00:19:10 -0300

dh-octave (1.10.0) experimental; urgency=medium

  * dh_octave_make.in: Create file debian/.gitignore

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Aug 2025 12:46:06 -0300

dh-octave (1.9.1) experimental; urgency=medium

  * dh_octave_make.in: Fix URL syntax

 -- Rafael Laboissière <rafael@debian.org>  Wed, 23 Jul 2025 04:59:13 -0300

dh-octave (1.9.0) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * Wrap paragraph for long description
    + dh_octave_substvar: Wrap the Description field extracted from the
      DESCRIPTION file into a paragraph with 75 character-wide lines
    + d/control: Depends on libtext-wrapper-perl
  * d/copyright: Update list of copyright years

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Jun 2025 06:44:47 -0300

dh-octave (1.8.0) unstable; urgency=medium

  * Add lacking Copyright notice and licensing conditions
  * Do not remove Qt Help files (*.qhc and *.qch)
    + clean-docdir: New script for selective removal of documentation files
    + buildsystem.pm: Invoke clean-docdir
    + d/dh-octave.install: Install clean-docdir
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Jan 2024 12:09:30 -0300

dh-octave (1.7.0) unstable; urgency=medium

  * dh_octave_clean: Invoke the clean targets of the top-level Makefile

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 19:10:46 -0300

dh-octave (1.6.1) unstable; urgency=medium

  * dh_octave_check:
    + Remove duplicated code
    + Ensure closing of file descriptor
    + Add priting of execution progress
    + Ensure status code 0 at normal exit

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 13:27:31 -0300

dh-octave (1.6.0) unstable; urgency=medium

  * dh_octave_check: Create a writable, temporary HOME directory.
    This may be needed by some packages, which FTBFS when built on
    some autobuilders that set HOME=/nonexistent/. Also, this version
    introduces the cleanup of temporary files and directories via the
    shell's trap mechanism.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 23 Dec 2023 04:03:41 -0300

dh-octave (1.5.1) unstable; urgency=medium

  * dh_octave_{check,version}: Stop execution on error

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Nov 2023 05:16:56 -0300

dh-octave (1.5.0) unstable; urgency=medium

  * Upload to unstable

  * dh_octave_make.in:
    + Ensure a blank like before "Files: debian/*" stanza
    + Get URL documentation from "function reference" link

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 17:45:46 -0300

dh-octave (1.4.0) experimental; urgency=medium

  * dh_octave_make.in: Add upstream BuildRequires field to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Sun, 30 Apr 2023 10:24:51 -0300

dh-octave (1.3.1) experimental; urgency=medium

  * dh_octave_make.in: Fix regex for finding the upstream bug database

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Mar 2023 02:59:11 -0300

dh-octave (1.3.0) experimental; urgency=medium

  * dh_octave_make.in:
    + Use Homepage at gnu-octave.github.io
    + Drop extraneuous trailing whitespace from package name
  * Get upstream metadata from gnu-octave.github.io
    + dh_octave_make.in: Parse upstream homepage for the package
    + d/control: Include dependencies on needed Perl modules

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Mar 2023 15:58:58 -0300

dh-octave (1.2.7) unstable; urgency=medium

  * Annotate Build-Depends on shunit2 as <!nocheck> (Closes: #1029975)
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 31 Jan 2023 15:25:13 +0100

dh-octave (1.2.6) unstable; urgency=medium

  * dh_octave_substvar: Remove trailing newline from octave-abi-N in
    ${shlibs:Depends}

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Dec 2022 16:45:03 +0100

dh-octave (1.2.5) unstable; urgency=medium

  * dh_octave_substvar: Remove trailing newline from package names
    present in Depends (Closes: #1025714)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 08 Dec 2022 20:03:25 -0300

dh-octave (1.2.4) unstable; urgency=medium

  * dh_octave_make.in: Use new URL at gnu-octave.github.io for d/watch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Sep 2022 07:58:35 -0300

dh-octave (1.2.3) unstable; urgency=medium

  * Use distclean target for cleaning files in upstream src directory
    + dh_octave_clean: Ditto
    + test_dh_octave.sh: Adjust unit test
  * test_dh_octave.sh: Add unit test for testing the removal of src/*-tst files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 06 Jul 2022 04:51:08 -0300

dh-octave (1.2.2) unstable; urgency=medium

  * dh_octave_clean: Remove src/*-tst files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 05 Jul 2022 10:28:19 -0300

dh-octave (1.2.1) unstable; urgency=medium

  * dh_octave_make.in: Ignore case of field names in the DESCRIPTION file
  * d/control: Build-depends on octave-dev
    This is necessary because the command octave-config is used in
    test_dh_octave.sh.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Jun 2022 06:08:22 -0300

dh-octave (1.2.0) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * d/control: let dh-octave provide dh-sequence-octave (Closes: #1011556)
  * install-pkg.m: implement non-octave parts with perl’s Dh_Lib
  * buildsystem.pm: use debhelper’s tmpdir instead of debian/sourcepackage
  * dh scripts: document how which script is enabled

  [ Rafael Laboissière ]
  * buildsystem.pm:
    + Use Debian::Debhelper::Dh_Lib
    + Avoid wildcards in doit calls
    + Check whether directories exist before acting on them
  * dh_octave_make.in: Use dh-sequence-octave in Build-Depends
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Update copyright years
  * README.md: Document the use of the virtual package dh-sequence-octave

 -- Rafael Laboissière <rafael@debian.org>  Tue, 31 May 2022 08:14:25 -0300

dh-octave (1.1.0) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/control: liboctave-dev has been renamed to octave-dev

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jan 2022 04:51:44 -0300

dh-octave (1.0.5) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 03:37:30 -0300

dh-octave (1.0.4) experimental; urgency=medium

  * dh_octave_make.in: Create the debian/gbp.conf file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Aug 2021 03:07:32 -0300

dh-octave (1.0.3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * install-pkg.m:
    + Drop useless calls to sprintf
    + Remove left over files *-tst

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 12:54:46 -0300

dh-octave (1.0.2) unstable; urgency=medium

  * dh_octave_changelogs: Use max compression for gzip.
    This avoids the Lintian warning
    changelog-not-compressed-with-max-compression, regarding the upstream
    file ChangeLog.gz.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 10:10:21 -0300

dh-octave (1.0.1) unstable; urgency=medium

  * Source-only upload, so that the package can migrate into testing

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Oct 2020 13:14:25 -0300

dh-octave (1.0.0) unstable; urgency=medium

  * Release new version 1.0.0.  No changes are made in the package.  The
    version number just reflects the fact that dh-octave is now mature.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 09:40:54 -0300

dh-octave (0.7.6) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * dh_octave_check: Use mktemp instead of deprecated tempfile

 -- Rafael Laboissière <rafael@debian.org>  Fri, 29 May 2020 10:31:49 -0300

dh-octave (0.7.5) unstable; urgency=medium

  * install-pkg.m: Make installed *.mex files non-executable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Apr 2020 19:55:38 -0300

dh-octave (0.7.4) unstable; urgency=medium

  * install-pkg.m: Make installed *.oct files non-executable.
    This complies with FHS 3.0 (sections 4.6 and 4.7), which has been
    adopted by the Debian Policy.
  * dh_octave_make.in: Create the debian/upstream/metadata file
  * d/copyright: Update copyright years

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 Mar 2020 17:50:51 -0300

dh-octave (0.7.3) unstable; urgency=medium

  * d/control: Depends on libconfig-model-dpkg-perl.
    This is necessary for having cme's model for application
    "dpkg-copyright". This allows the proper generation of file
    debian/copyright by dh_octave_make.
  * Proper specification of the debhelper compatibility level.
    The dh_octave_make script adds now the appropriate build-dependency on
    "debhelper-compat (= <level>)", instead of using the old method via
    the debian/compat file.
  * dh_make_octave now adds "Rules-Requires-Root: no" to debian/control
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * README.md:
    + Fix position of dh_octave_substvar
    + Invert column order in table for dh-octave commands
    + Add mention to debian/checkvars

 -- Rafael Laboissière <rafael@debian.org>  Sun, 09 Feb 2020 07:06:04 -0300

dh-octave (0.7.2) unstable; urgency=medium

  * sequence.pm: Insert dh_octave_substvar before dh_installdeb.
    The previous code, where dh_octave_substvar was insert after
    dh_shlibdeps, was failing for packages with "Architecture: all", for
    which dh_shlibdeps is not in the dh binary sequence.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Nov 2019 09:01:55 -0300

dh-octave (0.7.1) unstable; urgency=medium

  * dh_octave_substvar: Drop useless import of module Dpkg::Version
  * d/control: Add lacking dependency on libfile-find-rule-perl

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 08:56:28 -0300

dh-octave (0.7.0) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * dh_octave_substvar: Inject dependency on virtual package octave-abi-N

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 31 Oct 2019 17:38:53 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dh-octave-autopkgtest`.
